<div class="center-container">
  <p-panel [style]="{'height':'500px'}">

    <ng-template pTemplate="header">
      <div>
        Create {{auctionKind}}
        <i class="pi pi-question-circle"
           pTooltip="{{ 'CREATE_AUCTION.DESCRIPTION.' + auctionKind | translate }}"
           style="font-size: 1.5rem; margin-left: 20px; color: red"></i>
      </div>
    </ng-template>

    <p-steps [activeIndex]="currentStepView"
             [model]="steps"
             [readonly]="false"
    ></p-steps>
    <div style="min-height: 300px;">
      <form (ngSubmit)="onSubmit()"
            [formGroup]="formGroup"
            class="create-ych-container">
        <ng-container *ngIf="isCurrentStepEqualsTo('PRICE_CURRENCY')">
          <app-price-currency-step
            [auctionKind]="auctionKind"
            [bidCurrencyOptions]="bidCurrencyOptions"
            [createAuctionImp]="createAuctionImp"
            [formGroup]="formGroup"
          ></app-price-currency-step>
        </ng-container>

        <ng-container *ngIf="isCurrentStepEqualsTo('AUCTION_CATEGORY_CHARACTER_TYPE')">
          <app-category-and-character-type-step
            [formGroup]="formGroup"
            [ychCharacterTypeOptions]="ychCharacterTypeOptions"
            [ychTypeOptions]="ychTypeOptions"
          ></app-category-and-character-type-step>
        </ng-container>

        <ng-container *ngIf="isCurrentStepEqualsTo('IMAGE')">
          <app-image-step
            (fileAdded)="onUpload($event)"
            (supportImgAdded)="onUploadSupportImg($event.files, $event.supportImgId)"
            [auctionKind]="auctionKind"
          ></app-image-step>
        </ng-container>

        <ng-container *ngIf="isCurrentStepEqualsTo('DAYS_DESCRIPTION')">
          <app-days-and-description-step
            [createAuctionImp]="createAuctionImp"
            [formGroup]="formGroup"
          ></app-days-and-description-step>
        </ng-container>

        <!--        <div class = "p-d-flex p-jc-center">-->
        <!--          <div class = "p-mr-2">-->
        <!--            <button label = "Submit"-->
        <!--                    pButton-->
        <!--                    type = "submit"></button>-->
        <!--          </div>-->
        <!--        </div>-->
      </form>
    </div>

    <div class="p-d-flex p-jc-center">
      <button
        (click)="previousView()"
        class="p-button-raised p-button-success p-button-text p-mr-2"
        label="< previous"
        pButton
        type="button"
      ></button>

      <div class="p-mr-2">
        <ng-container *ngIf="setSubmitVisibleIfNeeded()">
          <button (click)="onSubmit()"
                  label="Submit"
                  pButton
                  type="submit"></button>
        </ng-container>
      </div>

      <button
        (click)="nextView()"
        class="p-button-raised p-button-success p-button-text p-mr-2"
        label="next >"
        pButton
        type="button"
      ></button>
    </div>
  </p-panel>
</div>
